package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.ConceptIntroduceDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.ConceptDetailFacade;
import com.diagbot.util.ParamConvertUtil;
import com.diagbot.vo.ConceptBaseVO;
import com.diagbot.vo.ConceptIntroduceVO;
import com.sun.org.apache.xpath.internal.operations.Bool;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * <p>
 * 提示信息明细表 前端控制器
 * </p>
 *
 * @author zhaops
 * @since 2019-05-06
 */
@RestController
@RequestMapping("/conceptDetail")
@Api(value = "提示信息相关API", tags = { "知识库标准化-提示信息相关API" })
@SuppressWarnings("unchecked")
public class ConceptDetailController {
    @Autowired
    private ConceptDetailFacade conceptDetailFacade;

    @ApiOperation(value = "知识库标准化-获取提示信息[by:zhaops]", notes = "")
    @PostMapping("/getConceptDetail")
    @SysLogger("getConceptDetail")
    public RespDTO<ConceptIntroduceDTO> getConceptDetail(@Valid @RequestBody ConceptIntroduceVO conceptIntroduceVO) {
        ConceptIntroduceDTO data = conceptDetailFacade.getConceptDetail(conceptIntroduceVO);
        return RespDTO.onSuc(data);
    }

    @ApiOperation(value = "知识库标准化-获取提示信息[by:zhaops]", notes = "")
    @PostMapping("/exist")
    @SysLogger("exist")
    public RespDTO<Bool> exist(@Valid @RequestBody ConceptBaseVO conceptBaseVO) {
        conceptBaseVO.setLibType(ParamConvertUtil.conceptConvert2Lib(conceptBaseVO.getLibType()));
        Boolean data = conceptDetailFacade.exist(conceptBaseVO);
        return RespDTO.onSuc(data);
    }
}