package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.client.bean.ResponseData;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.PushFacade;
import com.diagbot.facade.TreatmentFacade;
import com.diagbot.vo.SearchVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.Map;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/5/9 15:10
 */
@RestController
@RequestMapping("/push")
@Api(value = "治疗方案API", tags = { "治疗方案API" })
@SuppressWarnings("unchecked")
public class PushController {
    @Autowired
    private PushFacade pushFacade;

    @ApiOperation(value = "临床数据处理", notes = "")
    @PostMapping("/treatment")
    @SysLogger("treatment")
    public RespDTO<ResponseData> processData(@Valid @RequestBody SearchVo searchVo) {
        Map<String, Object> data = pushFacade.getTreatment((searchVo));
        return RespDTO.onSuc(data);
    }
}
